/////////////////////////////////////////////////////////
//Component Name: MyCRMExtra2021.es
//Date: 12th February 2021
//Author: Jeff Richards
//Version tested under: 2021
//////////////////////////////////////////////////

/////////////////////////////////
//collect/initialize parameters//
/////////////////////////////////
var ConfirmConditions = Param('ConfirmConditions');
if (ConfirmConditions != 'on') {
    Valid = false;
    ErrorStr = "You have not confirmed acceptance of the disclaimer";
}

AddMessage("Installation of component started");

/*

Screen Objects that have been added or updated

*/

ObjectName='User';
ObjectType='TabGroup';
EntityName='System';
AllowDelete=false;
var CObjId10390 = AddScreenObject();


/*

Tab groups that have been added or updated

*/

var TabsId349 = AddCustom_Tabs(0,0,1,'User','My eCRM','myeware','','','',0,'',false,0);

var TabsId10744 = AddCustom_Tabs(0,0,2,'User','ResponsiveCalendar','responsiveCalendar','','','appointmenttasks.gif',0,'',false,0);

var TabsId359 = AddCustom_Tabs(0,0,3,'User','My Contacts','mycontact list','','','small_contacts.gif',0,'',false,0);

var TabsId351 = AddCustom_Tabs(0,0,4,'User','Leads','leadlist','','','',0,'',false,0);

var TabsId10762 = AddCustom_Tabs(0,0,5,'User','Companies','customdotnetdll','MyCRM','','',0,'',false,0);
AddCustom_Data('Custom_Tabs','Tabs','Tabs_TabId','Tabs_TabId,Tabs_NewWindow,Tabs_CustomFunction',TabsId10762+',"","RunCompanyList"','1');

var TabsId10763 = AddCustom_Tabs(0,0,6,'User','People','customdotnetdll','MyCRM','','',0,'',false,0);
AddCustom_Data('Custom_Tabs','Tabs','Tabs_TabId','Tabs_TabId,Tabs_NewWindow,Tabs_CustomFunction',TabsId10763+',"","RunPersonList"','1');

//var TabsId10764 = AddCustom_Tabs(0,0,6,'User','Peoplex','customdotnetdll','MyCRM','','',0,'',false,1);
//AddCustom_Data('Custom_Tabs','Tabs','Tabs_TabId','Tabs_TabId,Tabs_NewWindow,Tabs_CustomFunction',TabsId10764+',"","RunPersonList"','1');

var TabsId355 = AddCustom_Tabs(0,0,7,'User','CallList','calllist','','','',0,'',false,0);

var TabsId352 = AddCustom_Tabs(6,1,8,'User','Opportunities','opportunitieslist','','','',0,'',false,0);

var TabsId353 = AddCustom_Tabs(0,0,9,'User','Forecasts','forecast list','','','',0,'',false,0);

var TabsId354 = AddCustom_Tabs(7,1,10,'User','Cases','caselist','','','',0,'',false,0);

var TabsId356 = AddCustom_Tabs(0,0,11,'User','Solutions','solutions list','','','solutions.png',0,'',false,0);

var TabsId445 = AddCustom_Tabs(0,0,12,'User','glibrarylist','globallibrarylist','','','',0,'',false,0);

var TabsId357 = AddCustom_Tabs(0,0,13,'User','Preferences','userprefs','','','',0,'',false,0);

var TabsId10599 = AddCustom_Tabs(0,0,14,'User','Groups','targetlistbrowser','','','groups.gif',0,'',false,0);

var TabsId10732 = AddCustom_Tabs(0,0,15,'User','MailChimpCampaigns','userMailchimp','','','small_mailchimp.png',0,'',false,0);

var TabsId10706 = AddCustom_Tabs(0,0,16,'User','ExchangeUserLogTab','ExchangeUserLogTab','','','small_exchsrvrlogs.gif',0,'',false,0);

var TabsId10716 = AddCustom_Tabs(0,0,17,'User','EmarketingUserViewProfile','EmarketingUserViewProfile','','User_EmarketingUserId is not null','',0,'',false,0);

///////////////Move File///////////////////
AddMessage("<BR>Preparing to copy file.<BR>");

CopyFile(GetInstallDir()+"\\inf\\MyCRMExtra2021\\MyCRM.dll", GetInstallDir()+"\\CustomDotNet\\MyCRM.dll")
AddMessage("File copied.<BR>");